<?php
define("urls","http://www.qidian.com/");
$readpage="http://down1.qidian.com/bookall/".$book['ruleid'].".htm";
function collect_chapters($url)
{
  $content=book_geturldata($url,urls);
  $content=str_replace("<a href=http://www.qidian.com>起点中文网www.qidian.com欢迎广大书友光临阅读，最新、最快、最火的连载作品尽在起点原创！</a>","",$content);
  $content=str_replace("<a href=http://www.qidian.com>起点中文网 www.qidian.com 欢迎广大书友光临阅读，最新、最快、最火的连载作品尽在起点原创！</a>","",$content);
  $content=str_replace("<a href=http://www.cmfu.com>起点中文网 www.cmfu.com 欢迎广大书友光临阅读，最新、最快、最火的连载作品尽在起点原创！</a>","",$content);
  $content=str_replace("起点中文网 www.cmfu.com 欢迎广大书友光临阅读，最新、最快、最火的连载作品尽在起点原创！<p>","",$content);
  $content=str_replace('<div style="display:none">www.cmfu.com发布</div>',"",$content);
  $preg="/<div class='chat'><b>(.*?)<\/(b|strong)><\/div><div class=list><table cellspacing=0 cellpadding=1 border=0 style='width:100%'><tr><td style='(.*?)' ><a href='(.*?)' class='BookName' title='(.*?)'>(.*?)<\/a><\/td>/";
  preg_match_all($preg, $content, $volume);
  $preg="/<div class='zt'><a name='(.*?)' \/>(.*?)<br><span class=xt>(.*?)<\/span><\/div><br><div class='content'>([\s\S]*?)<\/div>/";
  preg_match_all($preg, $content, $zt);
  $run[0]=$zt[1]; //id
  $run[1]=$zt[2]; //标题
  $run[2]=$zt[4]; //内容
  //$run[3]=1; 是否还有VIP章节
  $run[4]=$volume[1]; //分卷名称
  $run[5]=$volume[6]; //分卷后第一章名称
  return $run;
}
?>